Get Vehicle Specifications
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/specifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/specifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/specifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "<string>",
"make": "<string>",
"modelYear": 123,
"batteryCapacity": 123,
"batteryCapacityNet": 123,
"standardEvr": "<string>",
"allElectricRange": "<string>",
"allElectricRangeMin": 123
}Vehicles
Get Vehicle Specifications
Obtain detailed specifications for a vehicle.
This endpoint allows you to retrieve more detailed specifications (if available) for a specific vehicle identified by its unique ‘vehicle_id’.
Note:
- Detailed specifications rely on the trim of the vehicle being identified. This requires the registration country of the vehicle to be known and to be one we hold specification data for, currently Canada, France, Germany, Ireland, Italy, Spain, the United Kingdom, and the United States. Vehicles registered elsewhere may not have specifications available.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
specifications
Get Vehicle Specifications
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.

